Get CRM object record
curl --request GET \
--url https://public-api.frictio.ai/v2/objects/{object}/records/{recordId} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://public-api.frictio.ai/v2/objects/{object}/records/{recordId}"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', 'X-Api-Key': '<api-key>'}
};
fetch('https://public-api.frictio.ai/v2/objects/{object}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "deal",
"visibility": "workspace",
"fields": {
"name": "Acme",
"pipeline_id": "pipe-1",
"amount": "1200.50",
"my_note": "hello"
},
"created_at": "<string>",
"updated_at": "<string>",
"created_by": {
"name": "<string>"
},
"updated_by": {
"name": "<string>"
}
}{
"statusCode": 401,
"message": "Invalid API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Forbidden"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"statusCode": 429,
"message": "Too Many Requests"
}API Reference
Get CRM object record
特定の CRM オブジェクトのレコードを1件取得します。 ワークスペースに公開されているレコードのみ返します。
GET
/
v2
/
objects
/
{object}
/
records
/
{recordId}
Get CRM object record
Authorizations
Headers
ワークスペースID
Path Parameters
GET /v2/objects のレスポンスに含まれる data[].name を指定します。
Available options:
deal, pipeline, stage Response
成功
レコードが属する CRM オブジェクトの API 識別子
Available options:
deal, pipeline, stage Example:
"deal"
レコードの公開範囲です。現在の read API は workspace のレコードのみを返します。
Available options:
workspace, restricted Example:
"workspace"
各キーはオブジェクトメタデータの fields[].name に対応します。
標準フィールドとカスタムフィールドを含み、値の型はフィールドメタデータによって異なります。
MANY_TO_ONE リレーションは *_id 形式のキーで表現されます。
Example:
{
"name": "Acme",
"pipeline_id": "pipe-1",
"amount": "1200.50",
"my_note": "hello"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I